com.lowagie.text

## Class Meta

- java.lang.Object
- - com.lowagie.text.Meta

- All Implemented Interfaces:
    Element
  Direct Known Subclasses:
    Header

      public class Meta
      extends java.lang.Object
      implements Element

  This is an `Element` that contains some meta information about the document.

  An object of type `Meta` can not be constructed by the user. User defined meta information should be placed in a `Header`-object. `Meta` is reserved for: Subject, Keywords, Author, Title, Producer and Creationdate information.

  See Also:
    `Element`, `Header`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.StringBuffer` | `content` This is the content of the Meta-information.
    `private int` | `type` This is the type of Meta-information this object contains.

    - ### Fields inherited from interface com.lowagie.text.Element

      `ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Meta(int type, java.lang.String content)` Constructs a `Meta`.
    `Meta(java.lang.String tag, java.lang.String content)` Constructs a `Meta`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.StringBuffer` | `append(java.lang.String string)` appends some text to this `Meta`.
    `java.util.ArrayList` | `getChunks()` Gets all the chunks in this element.
    `java.lang.String` | `getContent()` Returns the content of the meta information.
    `java.lang.String` | `getName()` Returns the name of the meta information.
    `static int` | `getType(java.lang.String tag)` Returns the name of the meta information.
    `boolean` | `isContent()` Checks if this element is a content object.
    `boolean` | `isNestable()` Checks if this element is nestable.
    `boolean` | `process(ElementListener listener)` Processes the element by adding it (or the different parts) to a `ElementListener`.
    `int` | `type()` Gets the type of the text element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.lowagie.text.Element

      `toString`

- - ### Field Detail

    - #### type

          private int type

      This is the type of Meta-information this object contains.

    - #### content

          private java.lang.StringBuffer content

      This is the content of the Meta-information.

  - ### Constructor Detail

    - #### Meta

          Meta(int type,
              java.lang.String content)

      Constructs a `Meta`.
      Parameters:
        `type` - the type of meta-information
        `content` - the content

    - #### Meta

          public Meta(java.lang.String tag,
              java.lang.String content)

      Constructs a `Meta`.
      Parameters:
        `tag` - the tagname of the meta-information
        `content` - the content

  - ### Method Detail

    - #### process

          public boolean process(ElementListener listener)

      Processes the element by adding it (or the different parts) to a `ElementListener`.
      Specified by:
        `process` in interface `Element`
      Parameters:
        `listener` - the `ElementListener`
      Returns:
        `true` if the element was processed successfully

    - #### type

          public int type()

      Gets the type of the text element.
      Specified by:
        `type` in interface `Element`
      Returns:
        a type

    - #### getChunks

          public java.util.ArrayList getChunks()

      Gets all the chunks in this element.
      Specified by:
        `getChunks` in interface `Element`
      Returns:
        an `ArrayList`

    - #### isContent

          public boolean isContent()

      Description copied from interface: `Element`
      Checks if this element is a content object. If not, it's a metadata object.
      Specified by:
        `isContent` in interface `Element`
      Returns:
        true if this is a 'content' element; false if this is a 'metadata' element
      Since:
        iText 2.0.8
      See Also:
        `Element.isContent()`

    - #### isNestable

          public boolean isNestable()

      Description copied from interface: `Element`
      Checks if this element is nestable.
      Specified by:
        `isNestable` in interface `Element`
      Returns:
        true if this element can be nested inside other elements.
      Since:
        iText 2.0.8
      See Also:
        `Element.isNestable()`

    - #### append

          public java.lang.StringBuffer append(java.lang.String string)

      appends some text to this `Meta`.
      Parameters:
        `string` - a `String`
      Returns:
        a `StringBuffer`

    - #### getContent

          public java.lang.String getContent()

      Returns the content of the meta information.
      Returns:
        a `String`

    - #### getName

          public java.lang.String getName()

      Returns the name of the meta information.
      Returns:
        a `String`

    - #### getType

          public static int getType(java.lang.String tag)

      Returns the name of the meta information.
      Parameters:
        `tag` - iText tag for meta information
      Returns:
        the Element value corresponding with the given tag